Solid Edge Framework Type Library
Application Object
Members 
Solid Edge Framework Type Library : Application Object
Description
Provides the properties and methods necessary for a Visual Basic user to drive Solid Edge programmatically.
Object Model
Application ObjectSelectSet CollectionAddIns CollectionAddIn ObjectApplication ObjectSelectSet CollectionAddIns CollectionAddIn ObjectApplication ObjectApplicationEvents ObjectApplicationV8DocumentOpenEvent ObjectApplicationWindowEvents ObjectBeforeFileSaveAsEvents ObjectBiDMEvents ObjectCommand ObjectCustomization ObjectDocuments CollectionEnvironments CollectionEnvironment ObjectFeatureLibraryEvents ObjectFeatureSelectedFromPFEvents ObjectFileUIEvents ObjectMatTable ObjectInsight ObjectNewFileUIEvents ObjectApplication ObjectSEECEvents ObjectSESPEvents ObjectShortcutMenuEvents ObjectSolidEdgeInsightXT ObjectSolidEdgeTCE ObjectWindows CollectionApplicationEvents ObjectApplicationV8DocumentOpenEvent ObjectApplicationWindowEvents ObjectBeforeFileSaveAsEvents ObjectBiDMEvents ObjectCommand ObjectMouse ObjectCommandWindow ObjectCustomization ObjectApplication ObjectApplication ObjectRadialMenu CollectionRibbonBarTheme ObjectRibbonBarThemes CollectionRibbonBarTheme ObjectSwitchWindowCust CollectionRibbonBarTheme ObjectDocuments CollectionEnvironments CollectionEnvironment ObjectFeatureLibraryEvents ObjectFeatureSelectedFromPFEvents ObjectFileUIEvents ObjectMatTable ObjectInsight ObjectNewFileUIEvents ObjectApplication ObjectSelectSet CollectionAddIns CollectionAddIn ObjectApplication ObjectApplicationEvents ObjectApplicationV8DocumentOpenEvent ObjectApplicationWindowEvents ObjectBeforeFileSaveAsEvents ObjectBiDMEvents ObjectCommand ObjectCustomization ObjectDocuments CollectionEnvironments CollectionEnvironment ObjectFeatureLibraryEvents ObjectFeatureSelectedFromPFEvents ObjectFileUIEvents ObjectMatTable ObjectInsight ObjectNewFileUIEvents ObjectApplication ObjectSEECEvents ObjectSESPEvents ObjectShortcutMenuEvents ObjectSolidEdgeInsightXT ObjectSolidEdgeTCE ObjectWindows CollectionSEECEvents ObjectSESPEvents ObjectShortcutMenuEvents ObjectSolidEdgeInsightXT ObjectSolidEdgeTCE ObjectWindows Collection
Remarks
All of the exposed objects for the application can be accessed once you have accessed the Application object. The Application object contains application-wide options and settings, including access to preference sets, version information, window states, status and toolbar controls, mail and routing slip access, and so forth. All top-level objects (ActiveDocument, ActiveEnvironment, and so forth) can be retrieved from the Application object.
Example
Imports System
Imports System.Runtime.InteropServices

Namespace Examples
    Friend Class Program
        <STAThread>
        Shared Sub Main(ByVal args() As String)
            Dim application As SolidEdgeFramework.Application = Nothing

            Try
                ' See "Handling 'Application is Busy' and 'Call was Rejected By Callee' errors" topic.
                OleMessageFilter.Register()

                ' Attempt to connect to a running instance of Solid Edge.
                application = DirectCast(Marshal.GetActiveObject("SolidEdge.Application"), SolidEdgeFramework.Application)

                ' Ensure Solid Edge is visible.
                application.Visible = True
            Catch ex As System.Exception
                Console.WriteLine(ex)
            Finally
                OleMessageFilter.Unregister()
            End Try
        End Sub
    End Class
End Namespace
using System;
using System.Runtime.InteropServices;

namespace Examples
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            SolidEdgeFramework.Application application = null;

            try
            {
                // See "Handling 'Application is Busy' and 'Call was Rejected By Callee' errors" topic.
                OleMessageFilter.Register();

                // Attempt to connect to a running instance of Solid Edge.
                application = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");

                // Ensure Solid Edge is visible.
                application.Visible = true;
            }
            catch (System.Exception ex)
            {
                Console.WriteLine(ex);
            }
            finally
            {
                OleMessageFilter.Unregister();
            }
        }
    }
}
See Also

Application Members